
/*Use classes like the examples below to globally style your buttons, using the mixin too*/
.btn {
    &--blue{
        @include button($blue, $white, $lightblue, $white,$darkblue,$white);
        @include same_row(center,flex-start);
        @include font-size(20);
        position: relative;
        max-width: 190px;
        padding: 12px 36px 12px 24px;
        z-index: 2;
        &::after{
            content: "";
            @include svgs(100px,100px,"arrow.svg");
            position: absolute;
            right: 15px;
            width: 10px;
            height: 15px;
        }
    }
    &--search{
        @include button($blue, $white, $lightblue, $white,$darkblue,$white);
        @include same_row(center,center);
        @include font-size(14);
        height: 35px;
        max-width: 130px;
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
        border-top-right-radius: 4px;
        border-bottom-right-radius: 4px;
        cursor: pointer;
        padding: 8px 16px 8px 16px;
        &::before{
            content: "";
            @include svgs(100px,100px,"search.svg");
            display: inline-block;
            width: 16px;
            height: 16px;
            margin-right: 10px;
        } 
    }
    // &--white{
    // }
    // &--transparent{
    // }
    &--letter{
        @extend .text--14;
        @include same_row(center,center);
        border-radius: 4px;
        width: 40px;
        height: 32px;
        color: $gray;
        &:hover{
            background-color: $lightgray;
            color: $black;
        }
        &.selected{
            border: 1px solid $blue;
            color: $blue;
        }
        &.shown{
            color: $black;
        }
    }
} 